Page MenuHomeFreeBSD

acpi_iort: add some error handling
ClosedPublic

Authored by jchandra on May 26 2019, 11:31 PM.

Details

Summary

Print warnings for bad kernel configuration (NUMA disabled with multiple domains) and for firmware errors (incorrect proximity domain entries).

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jchandra created this revision.May 26 2019, 11:31 PM

How frequently is srat_resolve_its_pxm called?

How frequently is srat_resolve_its_pxm called?

The SRAT has affinity entries for each memory segment, CPU and ITS block. Comes upto ~260 entries on my ThunderX2. We go into the main logic of srat_resolve_its_pxm() only for ITS blocks (2 entries).

jchandra planned changes to this revision.May 30 2019, 11:15 PM

I took a second look at this, and ran some more testing. I need to fix up a bug and add more comments.

Will update this diff.

jchandra updated this revision to Diff 58101.May 31 2019, 3:44 AM

Fix the check for warning (i > 1 now), fix up error message, and add a comment.

This revision was not accepted when it landed; it landed in state Needs Review.Jun 24 2019, 9:25 PM
This revision was automatically updated to reflect the committed changes.